calibre: e-book management

Error communicating with device

Reported by afjmay on 2012-09-07
52
This bug affects 9 people
Affects Status Importance Assigned to Milestone
calibre
Undecided
Unassigned

Bug Description

Linux Mint 13 Maya
Calibre 0.8.68
Sony PRS505 with SD card

Calibre reads both device and card without problem and copies to device, but is unable to copy books to SD Card generating the following error:

calibre, version 0.8.68
ERROR: Error: Error communicating with device

'PRS505' object has no attribute '_carda_prefix'

Traceback (most recent call last):
  File "site-packages/calibre/gui2/device.py", line 83, in run
  File "site-packages/calibre/gui2/device.py", line 517, in _upload_books
  File "site-packages/calibre/devices/usbms/driver.py", line 256, in upload_books
  File "site-packages/calibre/devices/usbms/device.py", line 996, in _sanity_check
AttributeError: 'PRS505' object has no attribute '_carda_prefix'

Card is visible wth read write access in Caja/Nautilus

Thanks for your attention.

I have uploaded a fixed build. Re-download and re-install 0.8.68 and you
should be fine.

 status fixreleased

Changed in calibre:
status: New → Fix Released

Thanks very much - now working

________________________________
 From: Kovid Goyal <email address hidden>
To: <email address hidden>
Sent: Friday, 7 September 2012, 14:19
Subject: [Bug 1047201] Re: calibre bug 1047201

I have uploaded a fixed build. Re-download and re-install 0.8.68 and you
should be fine.

status fixreleased

** Changed in: calibre
      Status: New => Fix Released

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1047201

Title:
  Error communicating with device

Status in calibre: e-book management:
  Fix Released

Bug description:
  Linux Mint 13 Maya
  Calibre 0.8.68
  Sony PRS505 with SD card

  Calibre reads both device and card without problem and copies to
  device, but is unable to copy books to SD Card generating the
  following error:

  calibre, version 0.8.68
  ERROR: Error: Error communicating with device

  'PRS505' object has no attribute '_carda_prefix'

  Traceback (most recent call last):
    File "site-packages/calibre/gui2/device.py", line 83, in run
    File "site-packages/calibre/gui2/device.py", line 517, in _upload_books
    File "site-packages/calibre/devices/usbms/driver.py", line 256, in upload_books
    File "site-packages/calibre/devices/usbms/device.py", line 996, in _sanity_check
  AttributeError: 'PRS505' object has no attribute '_carda_prefix'

  Card is visible wth read write access in Caja/Nautilus

  Thanks for your attention.

To manage notifications about this bug go to:
https://bugs.launchpad.net/calibre/+bug/1047201/+subscriptions

Kovid,

I was experiencing this bug too. Many thanks for your very quick fix.

Slade.

Iskender Oksuz (iskenderoksuz) wrote :

Dear Kovid,

Fix does not seem to work for me. Still getting:

calibre, version 0.8.68
ERROR: Error: Error communicating with device

'PRS505' object has no attribute 'get_cardb_ebook_dir'

Traceback (most recent call last):
  File "site-packages\calibre\gui2\device.py", line 84, in run
  File "site-packages\calibre\gui2\device.py", line 518, in _upload_books
  File "site-packages\calibre\devices\usbms\driver.py", line 256, in upload_books
  File "site-packages\calibre\devices\usbms\device.py", line 998, in _sanity_check
AttributeError: 'PRS505' object has no attribute 'get_cardb_ebook_dir'

Even after complete removal and re-install. This is a Windows7 system.

Best regards,

Iskender

Kovid Goyal (kovid) wrote :

@iskender: Wait for 0.8.69 this friday, that will fix it for you.

I'm still getting the error message as well? :(

-----Original Message-----
From: Iskender Oksuz
Sent: Sunday, September 09, 2012 3:50 AM
To: <email address hidden>
Subject: [Bug 1047201] Re: Error communicating with device

Dear Kovid,

Fix does not seem to work for me. Still getting:

calibre, version 0.8.68
ERROR: Error: Error communicating with device

'PRS505' object has no attribute 'get_cardb_ebook_dir'

Traceback (most recent call last):
  File "site-packages\calibre\gui2\device.py", line 84, in run
  File "site-packages\calibre\gui2\device.py", line 518, in _upload_books
  File "site-packages\calibre\devices\usbms\driver.py", line 256, in
upload_books
  File "site-packages\calibre\devices\usbms\device.py", line 998, in
_sanity_check
AttributeError: 'PRS505' object has no attribute 'get_cardb_ebook_dir'

Even after complete removal and re-install. This is a Windows7 system.

Best regards,

Iskender

--
You received this bug notification because you are subscribed to a
duplicate bug report (1047382).
https://bugs.launchpad.net/bugs/1047201

Title:
  Error communicating with device

Status in calibre: e-book management:
  Fix Released

Bug description:
  Linux Mint 13 Maya
  Calibre 0.8.68
  Sony PRS505 with SD card

  Calibre reads both device and card without problem and copies to
  device, but is unable to copy books to SD Card generating the
  following error:

  calibre, version 0.8.68
  ERROR: Error: Error communicating with device

  'PRS505' object has no attribute '_carda_prefix'

  Traceback (most recent call last):
    File "site-packages/calibre/gui2/device.py", line 83, in run
    File "site-packages/calibre/gui2/device.py", line 517, in _upload_books
    File "site-packages/calibre/devices/usbms/driver.py", line 256, in
upload_books
    File "site-packages/calibre/devices/usbms/device.py", line 996, in
_sanity_check
  AttributeError: 'PRS505' object has no attribute '_carda_prefix'

  Card is visible wth read write access in Caja/Nautilus

  Thanks for your attention.

To manage notifications about this bug go to:
https://bugs.launchpad.net/calibre/+bug/1047201/+subscriptions

Christine Ongano (onganosrus) wrote :

Thanks Kovid,

Just saw the post to wait for Fridays upgrade...I'll do that! Thanks so much!
You guys are awesome & I LOVE LOVE LOVE Calibre!
Christine

Iskender Oksuz (iskenderoksuz) wrote :
Download full text (3.6 KiB)

0.8.69 solved the problem for me.

Best to all...

On Thu, Sep 13, 2012 at 7:21 PM, Christine Ongano <email address hidden>wrote:

> I'm still getting the error message as well? :(
>
>
> -----Original Message-----
> From: Iskender Oksuz
> Sent: Sunday, September 09, 2012 3:50 AM
> To: <email address hidden>
> Subject: [Bug 1047201] Re: Error communicating with device
>
> Dear Kovid,
>
> Fix does not seem to work for me. Still getting:
>
> calibre, version 0.8.68
> ERROR: Error: Error communicating with device
>
> 'PRS505' object has no attribute 'get_cardb_ebook_dir'
>
> Traceback (most recent call last):
> File "site-packages\calibre\gui2\device.py", line 84, in run
> File "site-packages\calibre\gui2\device.py", line 518, in _upload_books
> File "site-packages\calibre\devices\usbms\driver.py", line 256, in
> upload_books
> File "site-packages\calibre\devices\usbms\device.py", line 998, in
> _sanity_check
> AttributeError: 'PRS505' object has no attribute 'get_cardb_ebook_dir'
>
> Even after complete removal and re-install. This is a Windows7 system.
>
> Best regards,
>
> Iskender
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1047382).
> https://bugs.launchpad.net/bugs/1047201
>
> Title:
> Error communicating with device
>
> Status in calibre: e-book management:
> Fix Released
>
> Bug description:
> Linux Mint 13 Maya
> Calibre 0.8.68
> Sony PRS505 with SD card
>
> Calibre reads both device and card without problem and copies to
> device, but is unable to copy books to SD Card generating the
> following error:
>
> calibre, version 0.8.68
> ERROR: Error: Error communicating with device
>
> 'PRS505' object has no attribute '_carda_prefix'
>
> Traceback (most recent call last):
> File "site-packages/calibre/gui2/device.py", line 83, in run
> File "site-packages/calibre/gui2/device.py", line 517, in _upload_books
> File "site-packages/calibre/devices/usbms/driver.py", line 256, in
> upload_books
> File "site-packages/calibre/devices/usbms/device.py", line 996, in
> _sanity_check
> AttributeError: 'PRS505' object has no attribute '_carda_prefix'
>
> Card is visible wth read write access in Caja/Nautilus
>
> Thanks for your attention.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1047201/+subscriptions
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1047934).
> https://bugs.launchpad.net/bugs/1047201
>
> Title:
> Error communicating with device
>
> Status in calibre: e-book management:
> Fix Released
>
> Bug description:
> Linux Mint 13 Maya
> Calibre 0.8.68
> Sony PRS505 with SD card
>
> Calibre reads both device and card without problem and copies to
> device, but is unable to copy books to SD Card generating the
> following error:
>
> calibre, version 0.8.68
> ERROR: Error: Error communicating with device
>
> 'PRS505' object has no attribute '_carda_prefix'
>
> Traceback (most recent call last):
> File "site-packages/calibre/gui2/device.py", line 83, in run
> File "site-packages/calibre/gui2/device.py", line 5...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers